groovy.util

## Class ObjectGraphBuilder.DefaultNewInstanceResolver

- java.lang.Object
- - groovy.util.ObjectGraphBuilder.DefaultNewInstanceResolver

All Implemented Interfaces:
  ObjectGraphBuilder.NewInstanceResolver

Enclosing class:
  ObjectGraphBuilder

    public static class ObjectGraphBuilder.DefaultNewInstanceResolver
    extends java.lang.Object
    implements ObjectGraphBuilder.NewInstanceResolver

Default impl that calls Class.newInstance()

### Constructor Summary

Constructors
Constructor and Description
`DefaultNewInstanceResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `newInstance(java.lang.Class klass, java.util.Map attributes)` Create a new instance of Class klass.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultNewInstanceResolver

    public DefaultNewInstanceResolver()

### Method Detail

#### newInstance

    public java.lang.Object newInstance(java.lang.Class klass,
                                        java.util.Map attributes)
                                 throws java.lang.InstantiationException,
                                        java.lang.IllegalAccessException

Description copied from interface: `ObjectGraphBuilder.NewInstanceResolver`
Create a new instance of Class klass.

Specified by:
  `newInstance` in interface `ObjectGraphBuilder.NewInstanceResolver`
Parameters:
  `klass` - the resolved class name
  `attributes` - the attribute Map available for the node
Throws:
  `java.lang.InstantiationException`
  `java.lang.IllegalAccessException`